# spec file for package lookat
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lookat
Version:        1.4.4
Release:        1.2
Summary:        User-Friendly Text File Viewer
License:        GPL-2.0+
Group:          Productivity/Text/Utilities
Url:            http://www.wagemakers.be/english/programs/lookat
Source0:        http://www.wagemakers.be/downloads/lookat/lookat_bekijk-%{version}.tar.gz
# PATCH-FIX-UPSTREAM lookat-ncurses6.patch (commit 7ecca3e55be7510daf8e66bb77bdd987bc783fe0)
Patch0:         lookat-ncurses6.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
"lookat" is a program to view text files and manual pages. It is designed to be
more user-friendly than more conventional text viewers such as less.

%prep
%setup -q -n "lookat_bekijk-%{version}"
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

rm \
    "%{buildroot}%{_bindir}/bekijk" \
    "%{buildroot}%{_mandir}/man1/bekijk.1" \
    "%{buildroot}%{_sysconfdir}/lookat.conf.default"
rm -rf \
    "%{buildroot}%{_datadir}/doc/lookat"

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%doc examples
%doc lookat.conf.default
%config(noreplace) %{_sysconfdir}/lookat.conf
%{_bindir}/lookat
%{_mandir}/man1/lookat.1*

%changelog
* Tue Nov 22 2016 aloisio@gmx.com
- Update to version 1.4.4
  * NetBSD support
  * OpenBSD support
  * English translation issues corrected
  * autoconf updated to 2.69
  * Corrected minor compile warnings
  1.4.3
  * Fixed compile issue with llvm clang
- Added lookat-ncurses6.patch to address a problem with TW
- Spec cleanup
* Sun Dec 16 2012 pascal.bleser@opensuse.org
- initial version (1.4.2)
